%define upstream_name     MIME-EncWords
%define upstream_version 1.012.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    Deal with RFC-1522 encoded words (improved)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode) >= 1.980.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64) >= 2.130.0
BuildRequires: perl(MIME::Charset)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Fellow Americans, you probably won't know what the hell this module is for.
Europeans, Russians, et al, you probably do. :-)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc ARTISTIC Changes GPL META.yml MYMETA.yml README
%{perl_vendorlib}/Encode
%{perl_vendorlib}/MIME
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:1.12.6-2.mga3
+ Revision: 369324
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 1:1.12.6-1.mga3
+ Revision: 302415
- update to 1.012.6

* Thu Nov 03 2011 jquelin <jquelin> 1:1.12.4-1.mga2
+ Revision: 162235
- update to 1.012.4

* Fri Jun 17 2011 jquelin <jquelin> 1:1.12.3-1.mga2
+ Revision: 108872
- update to 1.012.3

* Sat Jan 22 2011 jquelin <jquelin> 1:1.12.0-2.mga1
+ Revision: 32151
- mageia rebuild
- imported package perl-MIME-EncWords

